/* ───────────────────────────────
   MODERN MINIMAL BASELINE
   ─────────────────────────────── */

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  margin: 0;
  line-height: 1.6;
}

/* ============================================= */

:root {
    --color-white: #fff;
    --color-body: #505061;
    --color-aliceblue: aliceblue;

    --color-lightGrayBG: #f6f6fb;
    --color-lightGray: #acbdd3;

    --color-mediumGray: #728095;
    --color-darkGray: #353a4b;

    --color-green: #3aac4c;
    --color-red: #c63b3b;

    --color-mediumBlue: #3191f2;
    --color-BlueNavy: #162d50;
    --color-lightskyblue: lightskyblue;

    --color-mediumPurple: #5a48c2;
    --color-darkslateblue: darkslateblue;

    --color-coolBluePurple: #2943a2;

    --color-Pink1: #e82f7d;
    --color-mediumorchid: mediumorchid;
    --color-mediumvioletred: mediumvioletred;

    --color-lightseagreen: lightseagreen;
    --color-mediumseagreen: mediumseagreen;

    --color-yellow-1: #f9ec29;

    --aqua-green: #1ABC9C;
    --aqua-hover: #16a085;
}

body {
    background: #ef4d8f;
    font-family: 'Inter', system-ui, sans-serif;
    font-size: 16px;
    color: #fff;
}

/* =Grid Layout */

.container {
    position: relative;
    width: 90% !important;
    max-width: 1000px; /* it solves the banner's misalignment. 20px x2 of padding */
/*    max-width: 1225px; */ /* so that I get a nice wide layout */
    margin: 0 auto;
    padding: 0 20px;
    box-sizing: border-box;
}

.column,
.columns {
    width: 100%;
    float: left;
    box-sizing: border-box;
}

/* =Layout */

.container { width: 80%; }

.column,
.columns {
    margin-left: 4%;
}

.column:first-child,
.columns:first-child {
    margin-left: 0;
}

.one.column,
.one.columns                    { width: 4.66666666667%; }
.two.columns                    { width: 13.3333333333%; }
.three.columns                  { width: 22%;            }

.home_network.three.columns     { width: 22%;            }
.home_network.columns           { width: 16.8%;          }

.four.columns                   { width: 30.6666666667%; }
.five.columns                   { width: 39.3333333333%; }
.six.columns                    { width: 48%;            }
.seven.columns                  { width: 56.6666666667%; }
.eight.columns                  { width: 65.3333333333%; }
.nine.columns                   { width: 74.0%;          }
.ten.columns                    { width: 82.6666666667%; }
.eleven.columns                 { width: 91.3333333333%; }
.twelve.columns                 { width: 100%; margin-left: 0; }

.one-third.column               { width: 30.6666666667%; }
.two-thirds.column              { width: 65.3333333333%; }

.one-half.column                { width: 48%; }

/* Offsets */
.offset-by-one.column,
.offset-by-one.columns          { margin-left: 8.66666666667%; }
.offset-by-two.column,
.offset-by-two.columns          { margin-left: 17.3333333333%; }
.offset-by-three.column,
.offset-by-three.columns        { margin-left: 26%;            }
.offset-by-four.column,
.offset-by-four.columns         { margin-left: 34.6666666667%; }
.offset-by-five.column,
.offset-by-five.columns         { margin-left: 43.3333333333%; }
.offset-by-six.column,
.offset-by-six.columns          { margin-left: 52%;            }
.offset-by-seven.column,
.offset-by-seven.columns        { margin-left: 60.6666666667%; }
.offset-by-eight.column,
.offset-by-eight.columns        { margin-left: 69.3333333333%; }
.offset-by-nine.column,
.offset-by-nine.columns         { margin-left: 78.0%;          }
.offset-by-ten.column,
.offset-by-ten.columns          { margin-left: 86.6666666667%; }
.offset-by-eleven.column,
.offset-by-eleven.columns       { margin-left: 95.3333333333%; }

.offset-by-one-third.column,
.offset-by-one-third.columns    { margin-left: 34.6666666667%; }
.offset-by-two-thirds.column,
.offset-by-two-thirds.columns   { margin-left: 69.3333333333%; }

.offset-by-one-half.column,
.offset-by-one-half.columns     { margin-left: 52%; }

/* Typography */

h1, h2, h3, h4, h5, h6 {
    margin-top: 0;
    color: #fff;
}

h1 {
    font-size: 2.1em;
}

h2 {
    font-size: 2.1em;
    margin-bottom: 18px;
    line-height: 1.15em;
    color: #fff;
}

h3 {
    font-size: 1.4em;
    margin-bottom: 0;
}

h4 {
    font-weight: bold;
    margin-bottom: .7em;
    color: #000;
}

/* Make ALL banner images responsive */
img {
  max-width: 100%;
  height: auto;
  display: block;
}

a {
    color: #fff;
    transition: all 0.07s ease;
}

a:hover {

}

p {
    margin-top: 0;
    margin-bottom: 1.3em;
    line-height: 1.35em;
}

ul {
  list-style-type: disc;
  margin-left: 21px;
}

ul li { line-height: 1.5em }

li {}

.two-thirds.column ul {
    list-style-type: disc;
    margin-left: 21px;
}

.two-thirds.column ul li {
    line-height: 1.5em
}

strong { font-weight: bold; }

i { font-style: italic; }

mark {
    background: #c21134;
    color: #fff;
}

.sidebar mark {
    background: transparent;
    color: var(--color-darkGray);
    font-weight: bold;
}

small {
    font-size: 90%;
}

.green {
    color: #209b20;
}

/* =AD keywords results */

.results.keywords_ad_result {
    background: pink;
    padding: 13px 13px 0px 13px;
    margin-bottom: 11px;
    display: flex;
    flex-direction: column;
    border: 1px solid #ffd676;border:none;
    border-radius: 5px;
}

.results.keywords_ad_result a {
    color: #4B0082;
}

.results.keywords_ad_result .onion-link {
    color: #4B0082;
}
.results.keywords_ad_result .site_desc {
    color: #4B0082;
}

.ad_txt,
.ad_txt_2 {
    font-weight: bold;
    font-family: 'Inter', system-ui, sans-serif;
    color: white;
    background: coral;background: #000;
    font-size: small;
    padding: 0px 5px;
    position: absolute;
    align-self: flex-end;
}

.ad_txt { /*This is for the Keywords AD `.results` in `search.php`  */
    margin-top: -13px;
    margin-right: -13px;
}


/* Header */

.site_header {
    padding: 12px 0;
}

.home_logo {
    margin-top: 12px;
    margin-bottom: 22px;
    text-align: center;
}

h1.home_logo {
    font-size: 27px;
}

/* Logo - stays on the left */
.page_logo {
    margin-bottom: 0;
    flex-shrink: 0;
}

h1.page_logo {
    font-size: 27px;
}

.page_logo a {
    text-decoration: none;
    color: #000;
}

.site_subtitle {
    text-align: center;
    font-family: "Lora", Georgia, serif;
    font-size: 17px;
    font-weight: 400;
    color: #7f869e;
    margin-bottom: 30px;
}

/* Menu - stays on the right */
.topnav {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  gap: 25px;
  flex-shrink: 0;
  list-style-type: none;
  margin-left: 0;
  justify-content: center; /* only for homepage */
}

.topnav li {
    margin: 0;
}

.topnav li a {
    text-decoration: none;
    color: #fff;
    font-size: 16px;
    font-weight: bold;
}

.topnav li a:hover {
    text-decoration: underline;
}

.topnav li:last-child {
    margin-right: 0px;
}

.foonav {
    margin-top: 7px;
    margin-bottom: 27px;
    display: flex;
    justify-content: center;
    list-style-type: none;
    margin-left: 0;
}

.foonav li a {
    text-decoration: none;
    color: #767f9e;
    font-size: 16px;
}

.foonav li a:hover {
    text-decoration: underline;
}

.search-container { /* search.php */ }

body.home .search-container {
    max-width: 468px;
    margin: 0 auto;
}

.search-container input[type="submit"].search-icon {
    position: absolute;
    right: -2px;
    top: 0;
    height: 100%;
    background: #000;
    border: transparent;
    cursor: pointer;
    outline: 0;
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
    padding: .7em 1.1em;
    z-index: 1;
    transition: all 0.07s ease;
    color: white;
    font-weight: bold;
    transition: all 0.07s ease;
}

.search-container input[type="submit"].search-icon:hover {
    background-color: #fff;
    color: #000;
}


/* =Search */

input, textarea, select {
    font-family: 'Inter', system-ui, sans-serif;
    transition: all 0.07s ease;
}

input[type="text"],
input[type="search"],
input[pattern],
textarea,
select {
    display: block;
    width: calc(100% - 24px);
    font-size: 17px;
    color: white;
    padding: 10px;
    padding-left: .75em;
    padding-right: .75em;
    background: #ff86b3;
    border-radius: 3px;
    border: 1px solid #ff86b3;
    /* z-index: 1; */   /* test without `z-index` for dropdown menu */
    position: relative;
}

    input[type="url"] {
        padding: .2rem .4rem;
        font-size: 100%;
        white-space: nowrap;
        background: #ff86b3;
        border: 1px solid #ff86b3;
        border-radius: 3px;
        color: #000;
        cursor: copy !important;
        display: block;
        width: calc(100% - 16px);   /* 100% - 24px */
        display: inline-block;
    }

    input[type="url"]:hover {
        /* background: #f4f7ff;
        border: 1px solid #dbdbec; */
    }

    input[type="url"]:focus {
        /* border: 1px solid #ff86b3;
        background: #fff; */
    }

    input[type="url"]::selection {
        background-color: #4B0082;
        color: white;
    }


select {
    -moz-appearance: none; /* Firefox */
    -webkit-appearance: none; /* Safari and Chrome */
    appearance: none;
    width: 100%;
    max-width: 300px;
    -ms-word-break: normal;
    word-break: normal;
    cursor: pointer;
    background-image: url("../img/arrow_down.png");
    background-repeat: no-repeat;
    background-position-x: 96%;
    background-position-y: 17px;
}

textarea { margin-bottom: 19px; }

input:focus,
textarea:focus,
select:focus {
    outline: none;
    /* border-color: #93a3bb; */
}

form {
    position: relative;
    margin: 0;
}

.clear_btn {
    z-index: 1;
    position: absolute;
    top: 4px;
    right: 90px;
    background: url("../img/close.png") no-repeat center transparent;
    border: none;
    cursor: pointer;
    width: 35px;
    height: 35px;
    opacity: 1;
    opacity: .6;
}

/* Regular buttons */

input[type="submit"] {
    background: #000;
    border: 1px solid #000;
    padding: .8em;  padding: .6em;
    border-radius: 3px;
    font-size: 17px;
    cursor: pointer;
    margin-bottom: 20px;
    color: white;
}

input[type="submit"]:hover {
    background: #d20f62;
    border-color: #d20f62;
}

input.create_campaign {
    background: #000;
    border-color: #000;
    color: white;
    font-weight: bold;
}

input.create_campaign:hover {
    background-color: #d20f62;
    border-color: #d20f62;
}

input.update_campaign {
    background: #fff;
    border-color: #fff;
    color: #000;
    font-weight: bold;
}

input.update_campaign:hover {
    background-color: #000;
    border-color: #000;
    color: #fff;
}

input.reactivate_campaign {
    background: #000;
    border-color: #000;
    padding: .5em;
}

input.reactivate_campaign:hover {
    background-color: #fff;
    border-color: #fff;
    color: #000;
}

body.page.campaign th, body.page.campaign td {
    padding: 2px 0;
}

a.topbar-ad {
    text-decoration: none;
    padding: .25rem;
    margin: 0;
    font-weight: 700;
}

a.ad_on_amn_btn {
    background: var(--color-mediumseagreen);
    border-color: var(--color-mediumseagreen);
/*    background: coral;
    border-color: coral;
*/    padding: .6em;
    color: var(--color-white);
    border-radius: 3px;
    font-size: 18px;
    cursor: pointer;
    box-shadow: 0 2px 3px rgba(0,0,0,0.06);
    text-decoration: none;
    display: inline-block;
    font-weight: bold;
}

a.ad_on_amn_btn:hover {
    background-color: #4cc584;
    border-color: #4cc584;
}


/* =Autocomplete =keywords =dropdown */

.ui-autocomplete {
    position: relative;
    cursor: default;
    border: 1px solid #e7e7e8 !important;
        border: none !important;
    padding: 0 2px !important;
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
    box-shadow: 0 2px 3px rgba(0,0,0,0.06);
    /* You need this for other styles, don't delete */
    /* background: #39c !important; */
    max-width: 912px;
}
.home .ui-autocomplete {
    max-width: 652px;
}

/* body.home .ui-autocomplete {} */

.ui-menu .ui-menu-item-wrapper {
    padding: 7px 10px !important;

    /* You need this for other styles, don't delete */
    /* background: #fc0; */
}

.ui-autocomplete .ui-menu-item {
    color: #767f9e;
    margin-top: 4px !important;
    margin-bottom: 4px !important;
    padding-left: 1px !important;
    padding-right: 1px !important;
    /* font-weight: bold !important; */
    text-transform: lowercase;
    font-weight: normal;

    /* You need this for other styles, don't delete */
    /* background: red; */
}

.ui-state-active,
.ui-widget-content .ui-state-active,
.ui-widget-header .ui-state-active,
a.ui-button:active,
.ui-button:active,
.ui-button.ui-state-active:hover {
    border: 1px solid lightskyblue !important;  /* very cool light blue */
	background: lightskyblue !important;
    color: var(--color-darkGray) !important;
}

/* =INSERT form style  */

div.insert_link_form {}

div.insert_link_form input[type="text"],
div.insert_link_form textarea {}

label {
    display: block;
    margin-bottom: 3px;
    margin-top: 11px;
}

/* =Banners */

#banners,
#keywords_home {
    text-align: center;
    margin-bottom: 23px;
/*    float: left;*/ /* Use this only if `.continer max-width: 1000px;`*/
}

#banners.home,
#keywords_home.home {
    margin: 0 auto;
}

#banners.home a:first-child,
#banners.home a:last-child {
    /* margin-right: 0px; */
}

#banners a,
#banners a:first-child,
#keywords_home a,
#keywords_home a:first-child {
    margin-left: 7px;
    margin-right: 7px;
}

#banners a:last-child {
    /* margin-right: 0px; */
}

#keywords_home a {}

#keywords_home a:hover {
    color: #000;
}

.ad_banner_img {
    display: inline-block;
    margin-bottom: 0px;
    max-width: 468px;
}

/* =Footer */

footer {
    text-align: center;
    padding-bottom: 20px;
    display: inline-block;
    width: 100%;
    /* font-size: 90%; */
}

footer p {
    /* color: crimson; */
}

footer p.water {
    font-size: 1.2em;
    font-weight: bold;
    margin-bottom: 12px;
    color: var(--color-darkGray);
}

footer p.ice {
    font-size: 1.2em;
    margin-bottom: 27px;
}

.footer-info-row {
    margin-bottom: 40px;
}

.footer-info-row .footer-info-col {
    background: var(--color-lightGrayBG);
    border-radius: 3px;
    padding: 1.5em;
}

.copyright {}

/* =Results =Search */

.results {
    padding: 0 0 .5em 0;
    display: flex;
    flex-direction: column;
}

.results p {
    margin-top: .1em;
    margin-bottom: .96em;
    /* color: #4e5468; */
}

.results h2 {
    margin-top: 0;
    margin-bottom: .15em;
    font-size: 1.3em;
}

.results a {
    text-decoration: none;
}

.results a:hover {
    text-decoration: underline;
}

.results h2 a {
  text-decoration: none;
}

.results h2 a:hover {}

/* Truncate text ONLY on mobile */
.onion-link {
    color: #fff;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;    /* single line cut */
    text-decoration: underline;
}

.results .more_dots {
    color: #9297ac;
}

p.rowcount,
p.rowcount_nothing_to_show {
    font-size: 16px;
}


.no_more_res_found_txt {
    margin-top: 21px;
    border-top: 1px solid #e7e7e8;
    padding-top: 12px;
}

.suggestions_title {
    margin-bottom: .6em;
    margin-top: 27px;
}

/* =Pagination */

.pagination {
    margin-top: 24px;
    display: flex;
    align-items: center;
    gap: 8px;
    justify-content: flex-start;
    margin: 20px 0;
    flex-wrap: wrap;
}

.pagination input[type="submit"] {
    box-shadow: none;
    margin-bottom: 0;
    background: #fff;
    border: 1px solid #fff;
    color: #000;
}

.pagination input[type="submit"]:hover {
    background: #000;
    border-color: #000;
    color: #fff;
}

.btn-page {
    padding: 10px 16px;
    border-radius: 3px;
    background-color: #fff;
    color: #000;
    border: none;
    cursor: pointer;
    font-size: 1rem;
    transition: all 0.2s ease;
    margin-bottom: 0;
    padding: .17em .5em !important;
    height: 28px;
}

.btn-page:hover {
    background-color: #f0faf7;
    color: #fff;
}

.btn-page.current {
    background-color: #000 !important;
    border-color: #000 !important;
    color: white  !important;
}

/* Optional: make Previous and Next a bit more visible */
.btn-page:last-child,
.btn-page:first-child {
}

.btn-page:last-child:hover,
.btn-page:first-child:hover {
    color: #fff;
    background: #000;
}

/* =Sidebar */

#ad-sidebar-nexus {}

body.page #ad-sidebar-nexus {
    display: none;
}

.sidebar {
    background: var(--color-white);
    margin-bottom: 24px;
    width: auto;
    font-size: 17px;
}

.sidebar li {
    margin-bottom: 9px;
    line-height: 1.15em;
}

.sidebar li:last-child {
    margin-bottom: 0px;
}

.sidebar h3 {
    text-decoration: underline;
    margin-bottom: .6em;
}

.sidebar a {
    text-decoration: none;
    color: var(--color-mediumGray);
}

.sidebar a:hover {
    color: var(--color-mediumBlue);
}

.nexus_ad_title {
    font-size: 14px;
    text-transform: uppercase;
    font-weight: bold;
    margin-bottom: 1.1rem;
    margin-top: 3px;
    display: inline-block;
    font-family: 'Inter', system-ui, sans-serif;
}

/* =Crypto Prices */

.sidebar.crypto_prices {
    padding: 1.15em 1.55em;
    font-size: 95%;
    background: #fff;
        display: none;
}

.sidebar.crypto_prices li {
    margin-bottom: 0px;
}

.btc-icon {
    background: url("../img/bitcoin.png") no-repeat 0px 0px;
    display: inline-block;
    width: 24px;
    height: 24px;
    margin-right: 7px;
    vertical-align: middle;
    margin-top: -2px;
}

.xmr-icon {
    background: url("../img/monero.png") no-repeat 0px 0px;
    display: inline-block;
    width: 24px;
    height: 24px;
    margin-right: 7px;
    vertical-align: middle;
    margin-top: -2px;
}

span.crypto_price_usd {
    float: right;
    margin-top: 1px;
}


/* =Related searches */

body.page .sidebar.related_searches { display: none; }

.sidebar.related_searches {}

.sidebar h4.related_searches_title {
    margin-bottom: .7em;
    display: block;
    border-bottom: 1px solid #e7e7e8;
    padding-bottom: .6em;
    color: var(--color-darkGray);
}

.sidebar.related_searches li {
    margin-bottom: 5px; /* only if I'm using the lens-icon before text, otherwise 3px */
    margin-bottom: 3px;
}

.sidebar.related_searches li:last-child {
    margin-bottom: 0px;
}

.sidebar.related_searches li:hover {}

.sidebar.related_searches li a {
    text-transform: lowercase;
    font-size: 90%;
}

.sidebar.related_searches li a:hover {
    color: var(--color-darkGray);
}

.related-searches-icon {
    background: url("../img/related-searches-icon.png") no-repeat 0px 0px;
    display: inline-block;
    width: 15px;
    height: 15px;
    margin-right: 4px;
    vertical-align: middle;
    margin-top: -1px;

    float: right;
    margin-top: 1px;
}

.lens-icon {
    /* I'm not using this right now, but do not delete it */
    /* background: url("../img/related-searches-icon.png") no-repeat 0px 0px;
    display: inline-block;
    width: 15px;
    height: 15px;
    margin-right: 7px;
    vertical-align: middle;
    margin-top: -1px; */
}

/* =Top Searched =Trending =Most =Popular */

.trending-icon {
    background: url("../img/trending-icon.png") no-repeat 0px 0px;
    display: inline-block;
    width: 13px;
    height: 18px;
    margin-right: 4px;
    vertical-align: middle;
    margin-top: -5px;
    float: right;
    margin-top: -1px;
}

.trending_keywords {}

.sidebar h4.trending_keywords_title{
    margin-bottom: .7em;
    display: block;
    border-bottom: 1px solid #e7e7e8;
    padding-bottom: .6em;
    color: var(--color-darkGray);
}

li.trending_keywords_keyword {
    margin-bottom: 3px;
}

li.trending_keywords_keyword a {
    font-size: 90%;
}

.sidebar.trending_keywords li a:hover,
.sidebar.related_searches li a:hover {
    color: var(--color-darkGray);
}

code {
    margin: 0;
    font-size: 13px;
    white-space: nowrap;
    line-height: 1.2em;
}

pre > code {
    display: block;
    white-space: pre;
}

pre {
    display: block;
    unicode-bidi: embed;
    font-family: monospace;
    white-space: pre;
    line-height: 1.3em;
}

pre code {}

code::selection {
    background-color: #4B0082;
}

/* Tables */
table {
    font-family: 'Inter', system-ui, sans-serif;
    border-collapse: collapse;
    width: 100%;
    margin-bottom: 9px;
}

th {
    width: 21%
}

th,
td {
    /* KEEP THIS
    padding: 12px 15px;
    text-align: left;
    border: 1px solid #d9d9d9;
    */
    padding: 6px 0 9px 0;
    text-align: left;
}
th:first-child,
td:first-child {
    min-width: 180px;
}
th:last-child,
td:last-child {
    padding-right: 0;
}

tr {}

tr:last-child {}

tr:nth-child(even) {
}

/* Utilities */

.u-full-width {
  width: 100%;
  box-sizing: border-box; }
.u-max-full-width {
  max-width: 100%;
  box-sizing: border-box; }
.u-pull-right {
  float: right; }
.u-pull-left {
  float: left; }

/* Misc */

hr {
    border-width: 0;
    border-top: 1px solid pink; /* This is how you style and `hr` */
    margin: 0;
    margin-bottom: 27px;
}

/* Self Clearing Goodness */
.container:after,
.row:after,
.u-cf {
  content: "";
  display: table;
  clear: both;
}

.twelve.columns.main {
    padding-bottom: 30px;
}

.container.home {}

.footer a.advertise_with_us,
.footer a.fire {
    cursor: pointer;
    transition: all 0.07s ease;
    background: coral; /*yellow #fde937*/
    border: 1px solid coral;
    border-radius: 3px;
    color: #fff;
    font-size: 21px;
    padding: 10px 20px;
    margin: 0 auto;
    width: 100%;
    text-decoration: none;
    display: ruby-base;
}

.footer a.advertise_with_us:hover,
.footer a.fire:hover {
    background: #483d8b;
    border: 1px solid #483d8b;
    color: var(--color-white);
}

.about {
    padding-bottom: 40px;
    border-bottom: 1px solid #e7e7e8;
    padding-bottom: 90px;
}
.footer-info-row.about {
    display: none;
}

h3.about_title {
    margin-bottom: .5em;
    font-size: 1.3em;
    font-weight: bold;
}

/* =Campaign */

body.page.campaign h3.t {}

.campaign .two-thirds.column {
    background: var(--color-white);
    padding: 21px 27px;
    border-radius: 3px;
}

.campaign .two-thirds.column h2.title {
    border-bottom: 1px solid #e7e7e8;
    padding-bottom: .5em;
    margin-bottom: .4em;
}

.campaign .two-thirds.column h3.title {
    border-top: 1px solid #e7e7e8;
    padding-top: .9em;
    margin-bottom: .7em;
}

.status {
    padding: 0 .5em;
    border-radius: 3px;
    color: var(--color-white);
    text-transform: capitalize;
    font-size: 90%;

    margin-bottom: 0px;
    display: inline-block;
}

.status.default {
    color: var(--color-white);
    background: #000;
    margin-left: 12px;
}

.status.active {
    color: green;
    background: #fff;
    font-weight: bold;
}

.status.pending {
    color: #ff3304;
    background: #fff;
    font-weight: bold;
}

.status.expired {
    color: red;
    background: #fff;
    font-weight: bold;
}

input[type="radio"],
input[type="checkbox"] {
    cursor: pointer;
    display: none;
}

label.label_ad_space {
    display: inline-block;
    margin-top: 0;
    cursor: pointer;
    background: transparent !important;
    border-radius: 0px;
    margin-right: 7px;
    padding: 0;
    width: auto;
    border: none;
    text-align: left;
}

label.label_ad_space h4 {
    font-weight: bold;
    margin-bottom: 5px;
    font-size: 24px;
    background: transparent !important;
}

label.label_ad_space small {
    font-size: 90%;
    color: var(--color-mediumGray);
    background: transparent !important;
    display: none;
}

input[type="radio"]:checked + label,
input[type="radio"]:checked + label h4,
input[type="radio"]:checked + label small,
input[type="checkbox"]:checked + label,
input[type="checkbox"]:checked + label h4,
input[type="checkbox"]:checked + label small {
    background: #d0e7ff;
    border-color: var(--color-mediumBlue);
}

label.label_ad_space:hover {
    border-color: #93a3bb;
}

.ad_price {
    margin-top: 5px;
    margin-bottom: 0;
    font-size: 21px;
}

img.img_qr {
    border: 1px solid #e7e7e8;
    border-radius: 3px;
    margin-top: 15px;
    max-width: 300px;
}

img.donate_qr {
    width: 210px;
    border: 1px solid #e7e7e8;
    border-radius: 3px;
}

.copy-icon {
    background: url("../img/copy.png") no-repeat 0px 0px;
    display: inline-block;
    width: 24px;
    height: 24px;
    margin-left: 7px;
    vertical-align: middle;
}

/* =Upload button */

div.input-group {
    width: 100%;
    float: left;
    margin-bottom: 19px;
}

label.input-group-btn {
    float: left;
    margin-top: 15px;
}

/* label.button.upload_btn, */
.upload_btn {
    padding: 9px;
    border: 1px solid #c3c8da;
    border-radius: 3px;
    cursor: pointer;
    transition: all 0.07s ease;
    font-size: 15px;
    font-weight: normal;
    text-align: center;
    margin-right: 3px;
    box-shadow: 0 2px 3px rgba(0,0,0,0.06);
    background: linear-gradient(180deg, rgb(255, 255, 255) 33%, rgb(237, 237, 240) 100%);
}

/* label.button.upload_btn:hover, */
.upload_btn:hover {
    background: darkslateblue;
    border-color: darkslateblue;
    color: var(--color-white);
}

.page.campaign .upload_btn {
    border: 1px solid #000;
    background: #000;
}

.page.campaign .upload_btn:hover {
    background: darkslateblue;
    border-color: darkslateblue;
    color: #fff;
}

input[type="file"]#uploadFile {
    font-size: 15px;
    color: var(--color-mediumGray);
    margin-top: 8px;
    margin-bottom: 27px;
}

input.upload_name {
    color: var(--color-mediumGray) !important;
    cursor: default;
    display: block;
    width: calc(100% - 24px);
    font-size: 17px;
    padding: 10px;
    padding-left: .55em;
    padding-right: .55em;
    background: transparent;
    border-radius: 3px;
    border: none;
    z-index: 1;
    position: relative;
    width: 70%;
    box-shadow: none;
    margin-top: 3px;
}

input[type="submit"].update_file {
    padding: 9px;
    margin-top: 5px;
    font-size: 0.95rem;
    margin-left: 5px;
    background: var(--color-mediumBlue);
    border-color: var(--color-mediumBlue);
}
input[type="submit"].update_file:hover {}

/* =Messages =error =success */

.message,
.alert {
    margin-top: 15px;
    margin-bottom: .7em;
    display: block;
    border-radius: 3px;
    background: var(--color-lightGrayBG);
    line-height: 1.35em;
    font-weight: bold;
}

.message {
    margin-bottom: 25px;
}

.message.success {
    color: #3aac4c;
    background: #fff;
}

.message.error {
    color: #ea3535;
    background: #fff;
}

.message ul {padding-left:0;margin-left:0 !important;}
.message ul li {list-style-type: none;}

/* =Alerts */
/* https://getbootstrap.com/docs/4.0/components/alerts/ */

.alert {
    /* position: relative;
    padding: .4em .8em;
    margin-bottom: 1rem;
    border-radius: .25rem;
    display: block;
    line-height: 1rem; */
    /* border: 1px solid transparent;
        border-top-color: transparent;
        border-right-color: transparent;
        border-bottom-color: transparent;
        border-left-color: transparent; */
}

.alert-primary {
    color: #004085;
    background-color: #cce5ff;
    /* border-color: #b8daff; */
}

.alert-secondary {
    color: #383d41;
    background-color: #e2e3e5;
    /* border-color: #d6d8db; */
}

.alert-success {
    color: #155724;
    background-color: #d4edda;
    /* border-color: #c3e6cb; */
}

.alert-danger {
    color: #721c24;
    background-color: #f8d7da;
    /* border-color: #f5c6cb; */
}

.alert-warning {
    color: #000;
    background-color: pink;
    padding: 10px;
}

.alert-info {
    color: #000;
    background-color: pink;
    padding: 10px;
}

.alert-light {
    color: #818182;
    background-color: #fefefe;
    /* border-color: #fdfdfe; */
}

.alert-dark {
    color: #1b1e21;
    background-color: #d6d8d9;
    /* border-color: #c6c8ca; */
}

a.delete_ad {
    color: var(--color-red);
    text-decoration: underline;
    cursor: pointer;
    margin-bottom: 5px;/* 5px if float:left */
    display: inline-block;
    font-size: 90%;
}

a.delete_ad:hover {
    color: var(--color-darkGray);
}

input.delete_ad_btn {
    background: var(--color-red);
    border-color: var(--color-red);
    padding: .4em 1em;
    margin: .5em .4em .5em 0;
}

input.delete_ad_btn:hover {
    background: #000;
    border-color: #000;
    padding: .4em 1em;
    margin: .5em .4em .5em 0;
}

a.cancel_delete {
    border: 1px solid #c5c5c5;
    background: #f6f6f6;
    font-weight: normal;
    margin: .5em .4em .5em 0;
    cursor: pointer;
    border-radius: 3px;
    padding: .4em 1em;
}

a.cancel_delete:hover {
    border: 1px solid #cccccc;
    background: #ededed;
    font-weight: normal;
    color: #2b2b2b;
}

.ui-dialog .ui-dialog-titlebar-close {
    display: none;
}

/* =Advertising */

.tabs {
    height: auto;
    margin: 0 auto;
    margin-top: 24px;
}

/* tab list item */
.tabs .tabs-list {
    list-style: none;
    margin: 0px;
    padding: 0px;
}

.two-thirds.column ul.tabs-list {
    margin-left: 0;
    list-style-type: none;
}

.tabs .tabs-list li {
    /* width: 130px; */
    float: left;
    margin: 0px;
    margin-right: 3px;
    /* padding: 10px 10px; */
    text-align: center;
    /* background-color: var(--color-darkslateblue); */
    background-color: #000;
    border-top-right-radius: 3px;
    border-bottom-right-radius: 0px;
    border-top-left-radius: 3px;
    border-bottom-left-radius: 0px;
    transition: all 0.07s ease;
}

.tabs .tabs-list li:hover {
    cursor: pointer;
    background-color: #222;
}

.tabs .tabs-list li a {
    text-decoration: none;
    color: var(--color-white);
    font-weight: bold;
    font-size: 18px;
    padding: 10px 15px;
    display: block;
}

/* Tab content section */
.tabs .tab {
    display: none;
    width: 96%;
    min-height: 250px;
    height: auto;
    border-radius: 3px;
    padding: 20px;
    background-color: #fff;
    clear: both;
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 3px;
    color: #000;
}

.tabs .tab h3 {
    padding-bottom: 20px;
    font-weight: normal;
    padding: 5px 5px 5px 0px;
    border-bottom: 1px solid #e7e7e8;
    padding-bottom: .5em;
    margin-top: 10px;
}

.tabs .tab p {}

/* When active state */
.tabs .active {
    display: block !important;
}

.tabs .tabs-list li.active {
    background-color: #fff;
}

.tabs .tabs-list li.active a {
    color: #000;
}

.home_feed { /*display: none; */ }
.home_feed a { /* color: aliceblue; */ }
.home_feed a:hover { /* color: #39c; */ }

.new_tag {
  background: #000;
  background: var(--color-green);
  padding: 3px 5px;
  border-radius: 3px;
  color: white;
  font-size: 15px;
  margin-right: 5px;
  font-weight: bold;
  font-family: 'Inter', system-ui, sans-serif;
}

#home_keywords {
    text-align: center;
    margin-bottom: 30px;
}

#home_keywords ul li {
    display: inline;
    margin-left: 5px;
    margin-right: 5px;
    background: #fff;
    border-radius: 2px;
    padding: 4px;
    border: none;
}

#home_keywords ul li a {
    color: var(--color-darkGray);
    text-decoration: none;
    font-size: 90%;
    border: none;
}

#home_keywords ul li:hover {
    background: lightgreen;
}

#home_keywords ul li a:hover {
}

/* =Logout */

a.logout_btn {
    font-size: 90%;
    float: right;
}

a.logout_btn:hover {
    color: var(--color-darkGray);
}

::selection {
    background: #4B0082;
    color: white;
}

.page_views {
    text-align: center;
    display: block;
}

/* =About */

a.about-advertise-btn {
    background: #000;
    color: #fff;
    padding: 11px 15px;
    border-radius: 3px;
    text-decoration: none;
    font-size: 1.2em;
}

a.about-advertise-btn:hover {
    background: var(--color-mediumBlue);
}

/* topbar-notice */
#topbar {
/*    display: none;*/
}

p.topbar-notice {
    padding: 9px 210px;
    margin: 0;
    color: #fff;
    font-weight: normal;
    text-align: center;
    font-size: 90%;
}


/* tooltip - Campaign Details page */
.tooltip {
    position: relative;
    display: inline-block;
    cursor: pointer;
    border-bottom: 1px dotted #555; /* Optional styling for the text */
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 220px;
    background-color: #333;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 9px;
    position: absolute;
    z-index: 1;
    bottom: 125%; /* Position the tooltip above the text */
    left: 50%;
    margin-left: -110px;
    opacity: 0;
    transition: opacity 0.3s;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

.tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #333 transparent transparent transparent;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}

a.back-to-top {
  text-decoration: none;
}


/* =============================================
   RESPONSIVE
   ============================================= */

@media (max-width: 768px) {

    .site_header {
        display: flex !important;
        flex-direction: column !important;
        align-items: center !important;
        gap: 20px !important;
        text-align: center;
    }

    /* Re-order elements correctly on mobile */
    .topnav             { order: 1 !important; }
    .home_logo,
    .page_logo          { order: 2 !important; }
    .site_subtitle      { order: 3 !important; }
    .search-container   { order: 4 !important; width: 90% !important; }

    img,
    [src*="banner"],
    body.home .ad_banner_img {
        max-width: 100% !important;
        height: auto !important;
        /* display: block !important; */
    }

    #banners.home {width: 90% !important; }

    #banners a:first-child { margin-right: 0 !important; }
    #banners a { margin-left: 0 !important; }

    .search-container   { width: 100% !important; }

    .container {
        padding: 0;
    }

    .home_logo {
        margin-top: -12px;
        margin-bottom: -21px;
    }

    .site_subtitle {
        margin-bottom: 0;
        font-size: 15px;
    }

    /* On mobile: cut the text */
    .onion-link {
        white-space: nowrap !important;
        overflow: hidden !important;
        text-overflow: ellipsis !important;
    }

    #banners a:last-child {
        margin-right: 0px !important;
    }
}
